package com.humand.demo.modules.FaceDetectionConfirmation

import com.facebook.react.bridge.Promise
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod

class FaceDetectionConfirmation(reactContext: ReactApplicationContext) : ReactContextBaseJavaModule(reactContext) {
    val faceDetectionConfirmationModule = FaceDetectionConfirmationModule(reactContext);
    override fun getName() = "FaceDetectionConfirmation"

    @ReactMethod
    fun hasFace(path: String, promise: Promise) {
        val result = faceDetectionConfirmationModule.hasFace(path);
        promise.resolve(result);
    }
}
